from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Boolean, Int

Augustify_Py_V0_1_0 = CommandToolBuilder(tool="augustify.py", base_command=["augustify.py"], inputs=[ToolInput(tag="in_genome", input_type=File(optional=True), prefix="--genome", doc=InputDocumentation(doc="Genome fasta file (possibly softmasked)")), ToolInput(tag="in_parameter_list", input_type=File(optional=True), prefix="--parameter_list", doc=InputDocumentation(doc="File that lists parameter sets to be tried on input\nsequence (one parameter set name per line)")), ToolInput(tag="in_meta_genomic_classification_outfile", input_type=File(optional=True), prefix="--metagenomic_classification_outfile", doc=InputDocumentation(doc="Output a tabulator separated text file that assigns\nsequences to paramter sets (last column contains\nprobability).")), ToolInput(tag="in_prediction_file", input_type=File(optional=True), prefix="--prediction_file", doc=InputDocumentation(doc="GFF file with gene predictions (only compatible with\noption --metagenomic_classification_outfile/-m).")), ToolInput(tag="in_species", input_type=Boolean(optional=True), prefix="--species", doc=InputDocumentation(doc="Output the dominant and most suitable parameter set\nname across all input sequences.")), ToolInput(tag="in_augustus_config_path", input_type=File(optional=True), prefix="--augustus_config_path", doc=InputDocumentation(doc="Set path to the config directory of AUGUSTUS. If not\ngiven, will try to set augustus_config_path to\nenvironment variable AUGUSTUS_CONFIG_PATH. If this\ndoes not work, will try to set augustus_config_path to\naugustus_bin_path/../config/. The commandline argument\n--augustus_config_path has higher priority than the\nenvironment variable with the same name.")), ToolInput(tag="in_augustus_bin_path", input_type=File(optional=True), prefix="--augustus_bin_path", doc=InputDocumentation(doc="Set path to the AUGUSTUS directory that contains\naugustus binary. If not given, will try to locate the\npath with which(augustus)")), ToolInput(tag="in_threads", input_type=Int(optional=True), prefix="--threads", doc=InputDocumentation(doc="Number of threads for running augustus. The number of\nthreads should not be greater than the number of\nspecies parameter sets.\n"))], outputs=[ToolOutput(tag="out_meta_genomic_classification_outfile", output_type=File(optional=True), selector=InputSelector(input_to_select="in_meta_genomic_classification_outfile", type_hint=File()), doc=OutputDocumentation(doc="Output a tabulator separated text file that assigns\nsequences to paramter sets (last column contains\nprobability)."))], container="quay.io/biocontainers/augustus:3.4.0--pl526h0faeac2_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Augustify_Py_V0_1_0().translate("wdl")

